# optimsimplex_getallx

Returns all the coordinates.

## Calling Sequence

                x = optimsimplex_getallx(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

x

  The coordinates.

  The vertex #k is stored in x(k, 1:n) with k = 1 to nbve.

## Description

The `optimsimplex_getallx` function returns all the coordinates of all the vertices.

## Example

        simplex = [
    3.  0.  0.
    4. 1.  0.
    5. 0.  2.
    ];
    s1 = optimsimplex_new ();
    s1 = optimsimplex_setall ( s1 , simplex );
        x_res = optimsimplex_getallx(s1);
        disp(x_res)

        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_setallx
- optimsimplex_getall
- optimsimplex_setall
- optimsimplex_getx
- optimsimplex_setx